# Inplay Odds

Enrich your application with betting functionalities. The odds endpoints can be used for In-Play Odds (live), we do have an endpoint for pre-match odds as well.

Use one of our 5 live odds endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Inplay Odds:** returns all the live odds.
* **GET Inplay Odds by Fixture ID:** returns the live odds from your requested fixture ID.
* **GET Inplay Odds by Fixture ID and Bookmaker ID:** returns the live odds filtered on Bookmaker ID from your requested fixture ID.
* **GET Inplay Odds by Fixture ID and Market ID:** returns the live odds filtered on Market ID from your requested fixture ID.
* **GET Last Updated Inplay Odds:** returns the last updated inplay odds.

#### Include options

[`market`](https://docs.sportmonks.com/v3/core-api/)  [`bookmaker`](https://docs.sportmonks.com/v3/core-api/) [`fixture`](/v3/endpoints-and-entities/entities/fixture.md#fixture)

#### Related entities

[InplayOdd](/v3/endpoints-and-entities/entities/odd-and-prediction.md#inplayodd)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/standard-odds-feed/inplay-odds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
